## bz2enc bz2enc |

## Properties

guint | block-size | Read / Write
guint | buffer-size | Read / Write

## Types and Values

| GstBz2enc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBz2enc

## Description

## Synopsis

### Element Information

plugin | bz2
author | Lutz Mueller <lutz@users.sourceforge.net>
class | Codec/Encoder

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

name | src
direction | source
presence | always
details | application/x-bzip

## Functions

## Types and Values

### GstBz2enc

    typedef struct _GstBz2enc GstBz2enc;

## Property Details

### The `“block-size”` property

      “block-size”               guint

Block size.

Flags: Read / Write

Allowed values: [1,9]

Default value: 6

### The `“buffer-size”` property

      “buffer-size”              guint

Buffer size.

Flags: Read / Write

Allowed values: >= 1

Default value: 1024